=== debian/changelog ===
plutosvg (0.0.7-2) unstable; urgency=medium

  * Sync packaging with plutovg
  * d/control: bump S-V 4.7.3
  * d/watch: switch to v5

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 02 Feb 2026 12:55:54 +0100

plutosvg (0.0.7-1) unstable; urgency=low

  * Initial release (Closes: #1099423)

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 29 Aug 2025 08:32:49 +0200
