=== debian/control ===
Source: plutosvg
Section: libs
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13), cmake, meson, pkgconf, libfreetype-dev, libplutovg-dev
Standards-Version: 4.7.3
Homepage: https://github.com/sammycage/plutosvg
Vcs-Git: https://salsa.debian.org/twolife/plutosvg.git
Vcs-Browser: https://salsa.debian.org/twolife/plutosvg

Package: libplutosvg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libplutosvg0 (= ${binary:Version}), libfreetype-dev, libplutovg-dev
Description: Tiny SVG rendering library - devel
 PlutoSVG is a compact and efficient SVG rendering library.
 It is specifically designed for parsing and rendering SVG documents embedded
 in OpenType fonts, providing an optimal balance between speed and minimal
 memory usage. It is also suitable for rendering scalable icons.
 .
 This package contains the development files for libplutosvg.

Package: libplutosvg0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tiny SVG rendering library
 PlutoSVG is a compact and efficient SVG rendering library.
 It is specifically designed for parsing and rendering SVG documents embedded
 in OpenType fonts, providing an optimal balance between speed and minimal
 memory usage. It is also suitable for rendering scalable icons.
