=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake --builddir=cmakebuild -- -DBUILD_SHARED_LIBS=1
	dh_auto_configure -- -Ddefault_library=both
