=== debian/tests/control ===
Tests: camera
Depends: @, build-essential, pkgconf
Restrictions: allow-stderr
